# Gimp.patterns_popup

    function patterns_popup(pattern_callback: String, popup_title: String, initial_pattern: Gimp.Pattern, parent_window: Uint8Array): Boolean {
        // Gjs wrapper for gimp_patterns_popup()
    }

Invokes the Gimp pattern selection.

Opens the pattern selection dialog.

pattern_callback

  The callback PDB proc to call when the user chooses a pattern.

popup_title

  Title of the pattern selection dialog.

initial_pattern

  The pattern to set as the initial choice.

parent_window

  An optional parent window handle for the popup to be set transient to.

Returns

  TRUE on success.